/******************************************************************************/
/* Files to Include                                                           */
/******************************************************************************/

#include <htc.h>           /* Global Header File */
#include <stdint.h>        /* For uint8_t definition */
#include <stdbool.h>       /* For true/false definition */
#include <stdlib.h>

#include "system.h"        /* System funct/params, like osc/peripheral config */
#include "user.h"          /* User funct/params, such as InitApp */

/******************************************************************************/
/* User Global Variable Declaration                                           */
/******************************************************************************/




unsigned char DATA_BUFFER[6];
unsigned int DATA_INDEX = 0;
unsigned int AUDIO_FLAG = 0;
unsigned char FADE_FLAG = 0;
unsigned char DMX_FLAG = 0;
unsigned char FADE_SPEED = 100;
unsigned char TIMER1_STATE;
unsigned char _R;
unsigned char _G;
unsigned char _B;
signed int TEMPERATURE;
unsigned int REFERENCE;

unsigned char ADDRESS;
unsigned char BREAK;
unsigned char PORT_STATE;


/******************************************************************************/
/* Main Program                                                               */
/******************************************************************************/

uint8_t main(void)
{


    /* Configure the oscillator for the device */
    ConfigureOscillator();

    /* Initialize I/O and Peripherals for application */
   InitApp();


   if(!DMX_EN_PORT)
   {
	   int i;
	   for(i = 0; i < 3; i++)
	   {
		StartI2C();
		I2CSendByte(0x90);
		I2CSendByte(0x04);
		I2CSendByte(0xA0);
		I2CSendByte(0x30);
		I2CSendByte(0x02);
		StopI2C();
		Delay(255);
	   }
	   StartDMX();

   }

   AUDIO_FLAG = 1;
   StartPWM();
   while(1)
   {
	   Fade();
   }
}

